Name:           animal-sniffer
Version:        1.20
Release:        1%{?dist}
Summary:        Animal Sniffer

License:        MIT
URL:            https://www.mojohaus.org/animal-sniffer
Source0:        https://github.com/mojohaus/%{name}/archive/%{name}-parent-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven:maven-toolchain)

%description
Animal Sniffer provides tools to assist verifying that classes compiled with a
newer JDK/API are compatible with an older JDK/API.

%package -n %{name}-annotations
Summary:        Animal Sniffer Annotations
%description -n %{name}-annotations
Animal Sniffer Annotations provides Java 1.5+ annotations which allow marking
methods which Animal Sniffer should ignore signature violations of.

%package -n %{name}-ant-tasks
Summary:        Animal Sniffer Ant Tasks
%description -n %{name}-ant-tasks
The Animal Sniffer ANT Tasks can be used to build signatures of APIs and to
check your classes against previously generated signatures.

%package -n %{name}-enforcer-rule
Summary:        Animal Sniffer Maven Enforcer Rule
%description -n %{name}-enforcer-rule
The Animal Sniffer Enforcer Rule is used to check your classes against
previously generated signatures.

%package -n %{name}-maven-plugin
Summary:        Animal Sniffer Maven Plugin
%description -n %{name}-maven-plugin
The Animal Sniffer Plugin is used to build signatures of APIs and to check your
classes against previously generated signatures.

%package -n %{name}-parent
Summary:        Animal Sniffer Parent POM
%description -n %{name}-parent


%package -n java-boot-classpath-detector
Summary:        Queries a java home in order to find its boot class path
%description -n java-boot-classpath-detector
The Java Boot Classpath Detector is an executable jar file which tries to
determine the boot classpath of the Java Runtime and outputs that classpath to
the standard output.

%javadoc_package

%prep
%autosetup -n %{name}-%{name}-parent-%{version}

find \( -type f -name \*.jar -o -type f -name \*.class \) -delete

%pom_remove_parent .

%pom_xpath_inject 'pom:project' '<groupId>org.codehaus.mojo</groupId>' .

%pom_xpath_inject 'pom:build/pom:plugins/pom:plugin[pom:artifactId="maven-compiler-plugin"]' '<version>any</version>' java-boot-classpath-detector %{name}-annotations

%pom_xpath_inject 'pom:build/pom:plugins/pom:plugin[pom:artifactId="maven-jar-plugin"]' '<version>any</version>' java-boot-classpath-detector %{name}

%pom_xpath_inject 'pom:build/pom:plugins/pom:plugin[pom:artifactId="maven-invoker-plugin"]' '<version>any</version>' %{name}-maven-plugin %{name}-enforcer-rule %{name}-ant-tasks

%build
%mvn_build -s

%install
%mvn_install

%files -n %{name} -f .mfiles-%{name}
%license LICENSE

%files -n %{name}-annotations -f .mfiles-%{name}-annotations
%license LICENSE

%files -n %{name}-ant-tasks -f .mfiles-%{name}-ant-tasks
%license LICENSE

%files -n %{name}-enforcer-rule -f .mfiles-%{name}-enforcer-rule
%license LICENSE

%files -n %{name}-maven-plugin -f .mfiles-%{name}-maven-plugin
%license LICENSE

%files -n %{name}-parent -f .mfiles-%{name}-parent
%license LICENSE

%files -n java-boot-classpath-detector -f .mfiles-java-boot-classpath-detector
%license LICENSE

%changelog
* Wed Aug 11 2021 Didik Supriadi <didiksupriadi41@gmail.com> - 1.20-1
- Initial package

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.9-6
- Use Requires: java-headless rebuild (#1067528)
 
* Mon Aug 05 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.9-5
- Update to latest packaging guidelines
 
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
 
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
 
* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.9-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local
 
* Wed Dec 12 2012 Michal Srb <msrb@redhat.com> - 1.9-1
- Update to version 1.9 (Resolves: #866856)
 
* Thu Aug 16 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8-2
- Add ASL 2.0 license
 
* Thu Aug  2 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8-1
- Update to upstream version 1.8
 
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
 
* Fri Mar  2 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> 1.7-3
- Add surefire junit4 provider to BR
 
* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
 
* Tue Jul 26 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.7-1
- Update to latest upstream (1.7)
- Add fixes for maven3 only buildroot
 
* Thu Jun 9 2011 Alexander Kurtakov <akurtako@redhat.com> 1.6-8
- Build with maven 3.x.
- Use upstream source.
- Guidelines fixes.
 
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
 
* Mon Nov 22 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-6
- Fix main pom filename (Resolves rhbz#655786)
 
* Mon Oct 11 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-5
- Add mojo-signatures to Requires
 
* Fri Oct  1 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-4
- Remove jtidy depmap (not needed anymore)
 
* Fri Sep 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-3
- Add asm-all dependency to maven plugin
- Add jtidy depmap
 
* Fri Sep 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-2
- Un-comment mojo-parent BR forgotten from testing
 
* Mon Sep  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-1
- Initial version of the package
